org.eclipse.rdf4j.query.algebra

## Enum Compare.CompareOp

- java.lang.Object
- - java.lang.Enum<Compare.CompareOp>
  - - org.eclipse.rdf4j.query.algebra.Compare.CompareOp

- All Implemented Interfaces:
    Serializable, Comparable<Compare.CompareOp>
  Enclosing class:
    Compare

      public static enum Compare.CompareOp
      extends Enum<Compare.CompareOp>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQ` equal to
    `GE` greater than or equal to
    `GT` greater than
    `LE` lower than or equal to
    `LT` lower than
    `NE` not equal to

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSymbol()`
    `static Compare.CompareOp` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Compare.CompareOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQ

          public static final Compare.CompareOp EQ

      equal to

    - #### NE

          public static final Compare.CompareOp NE

      not equal to

    - #### LT

          public static final Compare.CompareOp LT

      lower than

    - #### LE

          public static final Compare.CompareOp LE

      lower than or equal to

    - #### GE

          public static final Compare.CompareOp GE

      greater than or equal to

    - #### GT

          public static final Compare.CompareOp GT

      greater than

  - ### Method Detail

    - #### values

          public static Compare.CompareOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Compare.CompareOp c : Compare.CompareOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Compare.CompareOp valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSymbol

          public String getSymbol()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.